com.google.appengine.api.xmpp

## Enum PresenceType

- java.lang.Object
- - java.lang.Enum<PresenceType>
  - - com.google.appengine.api.xmpp.PresenceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PresenceType>

      public enum PresenceType
      extends java.lang.Enum<PresenceType>

  Values for the 'type' attribute of presences. These are only types from stanzas dealing with presence. Types used for subscriptions are enumerated in `SubscriptionType` even though they are both communicated via presence stanzas.
  See Also:
    RFC 3921, Section 2.2.1 for the specification of XMPP message Presence Types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVAILABLE` Signals that an entity is online and available for communication.
    `PROBE` A request for an entity's current presence.
    `UNAVAILABLE` Signals that an entity is no longer available for communication.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PresenceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PresenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AVAILABLE

          public static final PresenceType AVAILABLE

      Signals that an entity is online and available for communication.

    - #### UNAVAILABLE

          public static final PresenceType UNAVAILABLE

      Signals that an entity is no longer available for communication.

    - #### PROBE

          public static final PresenceType PROBE

      A request for an entity's current presence.

  - ### Method Detail

    - #### values

          public static PresenceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PresenceType c : PresenceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PresenceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null